Utopia PaymentsDocs
Customers

Create a customer

POST
/customers

Authorization

secretKey
AuthorizationBearer <token>

Your secret key: sk_live_… or sk_test_….

In: header

Header Parameters

Idempotency-Key?string

Retrying with the same key returns the first response instead of creating a duplicate.

Lengthlength <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/customers" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "name": "string"  }'
{  "object": "customer",  "customer_id": "cus_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",  "name": "string",  "email": "user@example.com",  "phone_number": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "created_at": "2019-08-24T14:15:22Z"}